runseg:	global runseg
	movm.l	&0x3f3e,-(%sp)		# save all registers
	mov.l	48(%sp),%a4		# get 'seg' argument
	lea.l	4(%a4),%a4		# skip the 'next' ponter
	mov.l	52(%sp),%a0		# set up args
	mov.l	56(%sp),%d0		#   for program
	pea.l	0x10000			# say we have 64K stack
	jsr	(%a4)			# call the program
	lea.l	4(%sp),%sp		# pop stack size
	movm.l	(%sp)+,&0x7cfc		# restore all regsiters
	rts
